Get supported crypto networks
POST /papi/v1/ramp/connect/crypto-network
This is the same API used by On-ramp and Off-ramp. For deposit use cases, refer to the
depositEnableanddepositDustfields to determine which networks support deposit and the minimum deposit amount.
Request Body
No request body
Response Body
Data: CryptoNetworkObject array
CryptoNetworkObject
| Field | Type | Remarks |
|---|---|---|
| cryptoCurrency | string | Crypto currency, e.g. "USDT", "ETH" |
| networks | object array | Network detail. Refer to NetworkDetailObject |
NetworkDetailObject
| Field | Type | Remarks |
|---|---|---|
| network | string | Network name. E.g. ETH, BSC, ARBITRUM, SOL, OPTIMISM, BASE |
| addressRegex | string | Network address regex |
| memoRegex | string | Memo regex |
| withdrawFee | string | Withdraw fee |
| withdrawMinAmount | string | Withdraw min amount |
| withdrawMaxAmount | string | Withdraw max amount |
| contractAddress | string | Contract address |
| withdrawEnable | boolean | Is withdraw enabled |
| depositEnable | boolean | Is deposit enabled. Use this to filter networks available for deposit |
| depositDust | string | Minimum deposit amount for this network. Deposits below this amount may not be credited |
Example
Response:
{
"success": true,
"code": "000000",
"message": "success",
"data": [
{
"cryptoCurrency": "USDT",
"networks": [
{
"network": "BSC",
"addressRegex": "^(0x)[0-9A-Fa-f]{40}$",
"memoRegex": "",
"withdrawFee": 0.29,
"withdrawMinAmount": 10.0,
"withdrawMaxAmount": 9999999.0,
"contractAddress": "0x55d398326f99059ff775485246999027b3197955",
"withdrawEnable": true,
"depositEnable": true,
"depositDust": "0.01"
},
{
"network": "ETH",
"addressRegex": "^(0x)[0-9A-Fa-f]{40}$",
"memoRegex": "",
"withdrawFee": 3.22,
"withdrawMinAmount": 10.0,
"withdrawMaxAmount": 9999999.0,
"contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"withdrawEnable": true,
"depositEnable": true,
"depositDust": "0.01"
},
{
"network": "SOL",
"addressRegex": "^[1-9A-HJ-NP-Za-km-z]{32,44}$",
"memoRegex": "",
"withdrawFee": 1.0,
"withdrawMinAmount": 10.0,
"withdrawMaxAmount": 9999999.0,
"contractAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"withdrawEnable": true,
"depositEnable": true,
"depositDust": "0.01"
}
]
},
{
"cryptoCurrency": "ETH",
"networks": [
{
"network": "ETH",
"addressRegex": "^(0x)[0-9A-Fa-f]{40}$",
"memoRegex": "",
"withdrawFee": 0.0,
"withdrawMinAmount": 1e-08,
"withdrawMaxAmount": 9999999.0,
"contractAddress": "",
"withdrawEnable": true,
"depositEnable": true,
"depositDust": "0.00001"
}
]
}
]
}